import 'package:freezed_annotation/freezed_annotation.dart';
import 'package:tm_app/data/services/model/error/error_model.dart';

import '../tender_approvals_toggle_data/tender_approvals_toggle_data.dart';

part 'tender_approvals_toggle_response.freezed.dart';
part 'tender_approvals_toggle_response.g.dart';

@freezed
abstract class TenderApprovalsToggleResponse
    with _$TenderApprovalsToggleResponse {
  const factory TenderApprovalsToggleResponse({
    required String? message,
    required bool? success,
    required ErrorModel? error,
    required TenderApprovalsToggleData? data,
  }) = _TenderApprovalsToggleResponse;

  factory TenderApprovalsToggleResponse.fromJson(Map<String, Object?> json) =>
      _$TenderApprovalsToggleResponseFromJson(json);
}
